import java.util.Scanner;

class CourseManager5 {

	private Student[] students;
	private int nStudents;
	public static final int MAX_SIZE = 100;

	public CourseManager5() {
		students = new Student[100];
		nStudents = 0;
	}

	public void addStudent(Student newStudent) {
		if (nStudents < MAX_SIZE) {
			students[nStudents] = newStudent;
			nStudents++;
		} else
			System.out.println("ERROR: COURSE IS FULL");
	}

	public void displayStudent(int i) {
		System.out.print(students[i].getId() + ", " + students[i].getName() + ", " 
				+ students[i].getScore());
	}

	public int getNStudents() {
		return nStudents;
	}
}

public class TestCourseManager5 {
	public static void main(String[] args) {
		Scanner kb = new Scanner(System.in);

		CourseManager5 c1 = new CourseManager5();
		int id;
		String name;
		double score;

		for (int i = 0; i < 3; i++) {
			System.out
					.println("Please enter the ID, name, and "
							+ "score of student "
							+ i + ":");
			id = kb.nextInt();
			name = kb.next();
			score = kb.nextDouble();
			Student s = new Student(id, name, score);
			c1.addStudent(s);
		}

		System.out.println("Students are: ");
		for (int i = 0; i < c1.getNStudents(); i++) {
			c1.displayStudent(i);
			System.out.println();
		}

	}
}
