import java.util.Scanner;

class CourseManager4 {
	private double[] scores;
	private char[] grades;

	public void readScores() {
		Scanner input = new Scanner(System.in);
		System.out.print("Enter number of students: ");
		int numOfStudents = input.nextInt();
		while (numOfStudents < 1) {
			System.out
					.print("Number of students is invalid. Enter number of students: ");
			numOfStudents = input.nextInt();
		}
		scores = new double[numOfStudents];
		System.out.print("Please enter students' scores: ");
		for (int i = 0; i < scores.length; i++) {
			double score = input.nextDouble();
			if (score >= 0 && score <= 100) {
				scores[i] = score;
			} else {
				System.out.println("The score " + score
						+ " you entered is wrong. Program will store score 0.");
			}
		}
	}

	// Precondition: scores is not null and all scores in the array are between 0 and 100
	public void scoreToGrade() {
		grades = new char[scores.length];
		for (int i = 0; i < scores.length; i++) {
			if (scores[i] >= 90)
				grades[i] = 'A';
			else if (scores[i] >= 80)
				grades[i] = 'B';
			else if (scores[i] >= 70)
				grades[i] = 'C';
			else if (scores[i] >= 60)
				grades[i] = 'D';
			else
				grades[i] = 'F';
		}
	}
	
	// Precondition: scores and grades are not null 
	public void printGrades(){
		System.out.print("The scores/grades are: ");
		for (int i = 0; i < scores.length; i++){
			System.out.print(scores[i] + "/" + grades[i] + " ");
		}
		System.out.println();
	}
	

	private double sum(){
		double resultSum = 0;
		for (int i = 0; i < scores.length; i++){
			resultSum += scores[i];
		}
		return resultSum;
	}
	
	// Precondition: scores is not null
	public double average(){
		return sum() / scores.length;
	}
}

public class TestCourseManager4 {
	public static void main(String[] args) {
		CourseManager4 cm = new CourseManager4();
		cm.readScores();
		cm.scoreToGrade();
		cm.printGrades();
		System.out.println("Average = " + cm.average());
	}

}
