import java.util.Scanner;

class CourseManager6 {

	private Student[] students;
	private int nStudents;
	public static final int MAX_SIZE = 100;

	public CourseManager6() {
		students = new Student[100];
		nStudents = 0;
	}

	public void addStudent(Student newStudent) {
		if (nStudents < MAX_SIZE) {
			if (findStudentName(newStudent.getName()) == -1) {
				students[nStudents] = newStudent;
				nStudents++;
			} else
				System.out.println("ERROR: STUDENT "
						+ "ALRAEDY THERE");
		} else
			System.out.println("ERROR: COURSE IS FULL");
	}
	
	public int findStudentName(String name) {
		for (int i = 0; i < nStudents; i++)
			if (students[i].getName().equalsIgnoreCase(name))
				return i;
		return -1;
	}
	
	public void displayStudent(int i) {
		System.out.print(students[i].getId() + ", " + students[i].getName() + ", " 
				+ students[i].getScore());
	}

	public int getNStudents() {
		return nStudents;
	}
	

}

public class TestCourseManager6 {
	public static void main(String[] args) {
		Scanner kb = new Scanner(System.in);

		CourseManager6 c1 = new CourseManager6();
		int id;
		String name;
		double score;

		System.out.println("Please enter the ID, name, and "
				+ "score of a student: ");
		id = kb.nextInt();
		name = kb.next();
		score = kb.nextDouble();
		Student s = new Student(id, name, score);
		c1.addStudent(s);

		System.out.println("Please enter the ID, name, and "
				+ "score of a student: ");
		id = kb.nextInt();
		name = kb.next();
		score = kb.nextDouble();
		s = new Student(id, name, score);
		c1.addStudent(s);

		System.out.println("Students are: ");
		for (int i = 0; i < c1.getNStudents(); i++) {
			c1.displayStudent(i);
		}
	}
}
