import java.util.Scanner;

class CourseManager8 {

	private Student[] students;
	private int nStudents;
	public static final int MAX_SIZE = 100;

	public CourseManager7() {
		students = new Student[100];
		nStudents = 0;
	}

	public void addStudent(Student newStudent) {
		if (nStudents < MAX_SIZE) {
			if (findStudentName(newStudent.getName()) == -1) {
				students[nStudents] = newStudent;
				nStudents++;
			} else
				System.out.println("ERROR: STUDENT "
						+ "ALRAEDY THERE");
		} else
			System.out.println("ERROR: COURSE IS FULL");
	}
	
	public int findStudentName(String name) {
		for (int i = 0; i < nStudents; i++)
			if (students[i].getName().equalsIgnoreCase(name))
				return i;
		return -1;
	}
	
	public double findAverageScore() {
		if (nStudents > 0) {
			double sum = 0.0;
			for (int i = 0; i < nStudents; i++)
				sum += students[i].getScore();
			return (sum / nStudents);
		} else
			return 0;
	}

	public int findMaxScoreIndex() {
		int max = 0;
		if (nStudents <= 0)
			max = -1;
		for (int i = 1; i < nStudents; i++) {
			if (students[i].getScore() > students[max].getScore())
				max = i;
		}
		return max;
	}

	public void displayStudent(int i) {
		System.out.print(students[i].getId() + ", " + students[i].getName() + ", " 
				+ students[i].getScore());
	}

	public int getNStudents() {
		return nStudents;
	}
    
    public void removeStudent(int index){
        
        
        this.students[index]=this.students[this.nStudents-1];
        this.students[this.nStudents-1]=null;
        this.nStudents--;
        
        
    }
    
    public void removeAndShiftStudent(int index){
        
        for (int i=index;i<this.nStudents-1;i++)
        {
            this.students[i]=this.students[i+1];
        }
        this.students[this.nStudents-1]=null;
        this.nStudents--;
        
        
    }
	
}

public class TestCourseManager8 {
	public static void main(String[] args) {
		Scanner kb = new Scanner(System.in);

		CourseManager8 c1 = new CourseManager7();
		int id;
		String name;
		double score;

		for (int i = 0; i < 3; i++) {
			System.out
					.println("Please enter the ID, name, and "
							+ "score of student "
							+ i + ":");
			id = kb.nextInt();
			name = kb.next();
			score = kb.nextDouble();
			Student s = new Student(id, name, score);
			c1.addStudent(s);
		}

		System.out.println("The class average = " + c1.findAverageScore());
		System.out.println("The student with the highest score:");
		c1.displayStudent(c1.findMaxScoreIndex());

	}
}
